RDKit::MolAlign::O3AConstraint Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions

double | getPrbIdx ()
double | getRefIdx ()
double | getWeight ()

## Friends

class | O3AConstraintVect

## Detailed Description

A class to define alignment constraints. Each constraint is defined by a pair of atom indexes (one for the probe, one for the reference) and a weight. Constraints can can be added via the O3AConstraintVect class.

Definition at line 49 of file O3AAlignMolecules.h.

## Member Function Documentation

double RDKit::MolAlign::O3AConstraint::getPrbIdx | ( |  | ) |

inline

Definition at line 52 of file O3AAlignMolecules.h.

double RDKit::MolAlign::O3AConstraint::getRefIdx | ( |  | ) |

inline

Definition at line 55 of file O3AAlignMolecules.h.

double RDKit::MolAlign::O3AConstraint::getWeight | ( |  | ) |

inline

Definition at line 58 of file O3AAlignMolecules.h.

## Friends And Related Function Documentation

friend class O3AConstraintVect

friend

Definition at line 50 of file O3AAlignMolecules.h.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h